class fa extends f_x
{public double func(double x)
{return x*x-2;}

}
class f_xtest
{
public static void main(String arg[])
{fa f=new fa();
 double x=1.0;
 System.out.println("f("+x+")="+f.func(x)+"df("+x+")/dx="+f.dfunc(x,1,0.0001));
}
}